﻿:root {
    --fontBlack: #6c6c6c;
    --black: rgba(0, 0, 0, 0.63);
    --blackDark: rgba(0, 0, 0, 0.83);
    --green: #20c997;
    --red: #F64E60;
    --yellow: #ffc107;
    --blue: #007bff;
    --lightBlue: #e1f0ff;
    --darkBlue: #131c6b;
    --pink: #e83e8c;
    --purple: #8950FC;
    --orange: #ff5200;
    --white: #fff;
    --lightGray: #c2cad8;
    --darkWhite: #eee;
    --footerColor: #f5f5f5;
    --shadow: #a5a5a5;
}

@font-face {
    font-family: 'iransansweb';
    src: url('../../fonts/iransanse/iransansweb.eot') format('embedded-opentype'), url('../../fonts/iransanse/iransansweb.ttf') format('truetype'), url('../../fonts/iransanse/iransansweb.woff') format('woff'), url('../../fonts/iransanse/iransansweb.woff2') format('woff2');
}

body {
    color: var(--fontBlack);
    line-height: 25px;
    direction: rtl;
    text-align: right;
    font-family: iransansweb,tahoma;
    background-color: #0d1d43;
    padding: 0;
}

.login-container {
}

.login-inner {
    background-color: #f1f3ff;
    border-radius: 15px;
    margin: 20px;
}
.login-content{
    padding:15px;
}
.login-footer {
    background-color: #1d315d;
    color: #fff;
    padding: 15px;
    border-radius: 0 0 15px 15px;
    width:100%;
}

.fa {
    font-weight: normal;
}
input{text-align:right!important}
a, h1, h2, h3, h4, h5, h6, p, text, textarea, input, button, span, td, tr, li, ul, ol, table, div {
    font-family: iransansweb;
}

*, *:before, *:after {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}
.card{
    background-color: #fff;
    border-radius: 16px;
    padding: 20px 25px;
    margin: 10px 20px;
    width: calc(100% - 60px);
    box-shadow: 0 4px 24px 0 rgb(0 0 0 / 8%);
    max-width:700px;
}
input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus {
    -webkit-box-shadow: 0 0 0px 1000px linear-gradient(315deg, #ffd166 0%, #fffcf9 74%) inset !important;
    transition: background-color 50000s ease-in-out 0s;
}


html, body {
    height: 100%;
    overflow-y: scroll;
    overflow-x: hidden;
    font-size: 14px;
}

.custom-flex {
    display: flex;
    flex-direction: column;
    align-items: center;
    direction: rtl;
}

svg {
    display: inline-block;
    width: 2rem;
    height: 2rem;
    overflow: visible;
}

.svg-icon {
    cursor: pointer;
}

    .svg-icon path {
        stroke: rgba(0, 0, 0, 0.9);
        fill: none;
        stroke-width: 1;
    }

input, button {
    outline: none;
    border: none;
}

input::-webkit-outer-spin-button,input::-webkit-inner-spin-button {-webkit-appearance: none;margin: 0;}
input[type=number] {-moz-appearance: textfield;}
.demo {
    position: absolute;
    top: 50%;
    left: 50%;
    margin-left: -15rem;
    margin-top: -26.5rem;
    width: 30rem;
    height: 53rem;
    overflow: hidden;
}

.login {
    position: relative;
    height: 100%;
    /* background: linear-gradient(to bottom, rgba(146, 135, 187, 0.8) 0%, rgba(0, 0, 0, 0.6) 100%); */
    background: linear-gradient(to bottom, rgba(225, 228, 178, 0.8) 0%, rgba(255, 210, 127, 0.5) 100%);
    transition: opacity 0.1s, transform 0.3s cubic-bezier(0.17, -0.65, 0.665, 1.25);
    transform: scale(1);
}

.logo {
    display: flex;
    align-items: center;
}

    .logo img {
        margin: 20px 0 5px;
        height: 50px;
    }

.login__form {
    direction: ltr;
}

.login__row {
    position: relative;
    height: 3.5rem;
    margin-bottom: 15px;
    border: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 13px;
    padding: 0 10px;
    background: #fff;
    border: 1px solid #c1cbed;
}
.login__row .fa{
    font-size:16px;
}
.login__input {
    direction: ltr;
    display: inline-block;
    width:calc(100% - 20px);
    height: 100%;
    padding: 10px;
    background: transparent;
    font-size: 15px;
}

.login__row > span {
    opacity: 0.8;
    position: absolute;
    display: flex;
    left: 10px;
    z-index:1000000;
}
.pass{
    position:relative;
    z-index:5000000;
}
.login__icon {
    margin-bottom: -0.4rem;
    margin-right: 0.5rem;
}

svg:not(:root) {
    overflow: inherit;
}

.login__submit {
    position: relative;
    width: 100%;
    height: 4rem;
    margin: 5rem 0 2.2rem;
    color: rgba(255, 255, 255, 0.8);
    background: #FF3366;
    border-radius: 3rem;
    cursor: pointer;
    overflow: hidden;
    transition: width 0.3s 0.15s, font-size 0.1s 0.15s;
}

::placeholder {
    color: black;
}

.login__icon.name path {
    stroke-dasharray: 73.50196075439453;
    stroke-dashoffset: 73.50196075439453;
    -webkit-animation: animatePath 2s 0.5s forwards;
    animation: animatePath 2s 0.5s forwards;
}

.login__icon.pass path {
    stroke-dasharray: 92.10662841796875;
    stroke-dashoffset: 92.10662841796875;
    -webkit-animation: animatePath 2s 0.5s forwards;
    animation: animatePath 2s 0.5s forwards;
}
.keyboard-holder {
    display: none;
    position: absolute;
    right: 0;
    left: 0;
    top:105%
}
    .keyboard-holder.active {
        display:block;
        z-index:2;
    }
    .a-links a {
        display: flex;
        color: #000000;
    }

.paragraphs {
    display: flex;
    justify-content: flex-end;
    max-width: 100%;
    margin-bottom: 5px;
    margin-top: 5px;
    font-weight: bold;
}

    .paragraphs > input {
        width: 100%;
        height: 34px;
        padding: 6px 12px;
        line-height: 1.42857;
        background-color: #fff;
        background: none;
        border: 1px solid black;
        border-radius: 2px;
    }

.captcha {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction:row-reverse;
}

.captcha-input {
    width: 100%;
}

    .captcha-input > input {
        width: 100%;
        height: 34px;
        padding: 6px 5px;
    }

img.captcha {
    height: 45px;
    border-radius: 2px;
    max-width: 200px;
}

.input-refresh {
    display: flex;
    flex-direction: row-reverse;
}

@-moz-document url-prefix() {
}

.refresh {
    display: flex;
    align-items: center;
    height: 34px;
    padding: 6px 5px;
    line-height: 1.42857;
}

#changeCaptcha {
    color: #000000;
}

.btn-login {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px 0 15px;
    border: 0;
    border-radius: 13px;
}

    .btn-login > .btn {
        display: flex;
        justify-content: center;
        width: 100%;
        border: 0;
        border-radius: 13px;
        line-height: 30px;
        background: #3249b3;
        color: #fff;
    }

.login-footer .notes ul li::before{
    content: "\bb";
    font-family: auto;
    color: #1dd3b0;
    font-size: 20px;
    display: inline-block;
    position: absolute;
    right: -13px;
    top: 0;
    padding-left: 7px;
}

.notes {
    font-size: 11px;
    width: 100%;
    color:#fff;
}
    .notes a {
        color: #fff;
    }

    .notes > p {
        font-weight: bolder;
        align-self: baseline;
    }

    .notes ul {
        list-style: none;
        text-align: justify;
        line-height: 25px;
        padding-right:10px;
    }
    .notes ul li{
        position:relative;
    }

@-webkit-keyframes animRipple {
    to {
        transform: scale(3.5);
        opacity: 0;
    }
}

@keyframes animRipple {
    to {
        transform: scale(3.5);
        opacity: 0;
    }
}

@-webkit-keyframes rotate {
    to {
        transform: rotate(360deg);
    }
}

@keyframes rotate {
    to {
        transform: rotate(360deg);
    }
}

@-webkit-keyframes animatePath {
    to {
        stroke-dashoffset: 0;
    }
}

@keyframes animatePath {
    to {
        stroke-dashoffset: 0;
    }
}
/*----------------------ForgetPassword Styles--------------------------------*/
.titles {
    display: flex;
    margin: 5px 0px;
    justify-content: center;
    font-size: 18px;
    font-weight: bold;
}
.required{border:1px solid #F64E60;}
.btn-main {background-color: #3249b3;border: 0;color:#fff!important;font-weight:normal!important}
.btn-second{background-color:#eee;border:1px solid #ccc}
#NationalCode {
    color: black;
    direction: rtl;
    padding:5px 10px;
}

input[type="text"]:-moz-placeholder {
    text-align: right;
}

input[type="text"]:-ms-input-placeholder {
    text-align: right;
}

input[type="text"]::-webkit-input-placeholder {
    text-align: right;
}

.buttons {
    flex-direction: row-reverse;
    display: flex;
    flex-grow: 1;
    margin-top: 4rem;
}

#btn_forgot_cancel {
    margin-right: 4px;
}

#btn_forgot_cancel, #btn_forget_submit, #btn_forget_submit_link, #btn_forget_submit_code, #btn_reset_password {
    border-radius: 7px;
    color: black;
    flex-grow: inherit;
    line-height: 40px;
    font-weight: bold;
    width: 100%;
    justify-content: center;
    display: flex;
}

.loader {
  border: 1px solid #f3f3f3; /* Light grey */
  border-top: 1px solid transparent;
  border-radius: 50%;
  width: 20px;
  height: 20px;
  animation: spin 2s linear infinite;
  margin: 8px;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

    /*------------Responsive---------------*/
    @media (min-width:1440px) {
        .login__row {
            display: flex;
        }
        .login__row svg {
            align-items: center;
            justify-content: flex-end;
        }
        @-moz-document url-prefix() {
            .input-refresh {
                width: 24vw;
            }
        }
        .paragraphs {margin-bottom: 15px;}
        .notes ul {line-height: 25px;}
    }

    @media (min-width:1880px) {
        .notes ul {line-height: 30px;}
    }

    @media (min-width:580px) and (max-width: 1024px) {
        body {background-color: whitesmoke;}
        .container-fluid {height: -webkit-fill-available;width: 85vw;}

        #userBody {
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            direction: rtl;
        }

        #kt_login {
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
        }

    }
    @media (max-width:580px){
        .card{padding:15px 7px;margin:5px;width:calc(100% - 14px)}
        .container-fluid {height: -webkit-fill-available;}
        .col-xs-12{padding-right:5px;padding-left:5px;}
    }


.support-bubble {
    position: fixed;
    bottom: 89px;
    right: 31px;
    z-index: 51;
}

    .support-bubble.open .bubble-drawer {
        opacity: 1;
        visibility: visible;
        transform: translateY(0) scale(1);
        pointer-events: auto;
    }

    .support-bubble .close-icon {
        position: absolute;
        top: -15px;
        right: -10px;
        padding: 7px;
        font-size: smaller;
    }

.bubble-button {
    width: 40px;
    height: 40px;
    background-color: #3249b3;
    cursor: pointer;
    transition: transform 0.3s cubic-bezier(0.4, 0, 0.2, 1);
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 0;
    color: var(--white);
}

    .bubble-button:hover {
        transform: scale(1.1);
    }

    .bubble-button:active {
        transform: scale(0.95);
    }

.bubble-drawer {
    position: absolute;
    border-radius: 14px;
    bottom: 41px;
    right: 0;
    width: 160px;
    max-height: 250px;
    background-color: var(--lightGray);
    opacity: 0;
    visibility: hidden;
    transform: translateY(20px) scale(0.95);
    transition: all 0.3s cubic-bezier(0.4, 0, 0.2, 1);
    overflow-y: auto;
    pointer-events: none;
    box-shadow: 0 4px 12px var(--shadow);
    padding: 7px;
    scrollbar-width: none;
    -ms-overflow-style: none;
}

#bubble_drawer::-webkit-scrollbar {
    display: none; 
}


#bubble_drawer:hover::-webkit-scrollbar-thumb {
    background-color: rgba(0, 0, 0, 0.2);
    border-radius: 3px;
}

#close_drawer_icon {
    cursor: pointer;
    font-size: smaller;
    color: var(--light-color);
}
.bubble-drawer-content {
    margin-top: -5px;
}
.bubble-section-title {
    margin: 10px 0;
    color: var(--black)
}

.bubble-social-item,
.bubble-support-item {
    transition: all 0.3s cubic-bezier(0.4, 0, 0.2, 1);
    display: flex;
    align-items: center;
    padding: 8px 12px;
    border-radius: 8px;
    background-color: var(--white);
    margin-bottom: 10px;
}

.bubble-social-item {
    height: 30px;
}
    .bubble-social-item span, .phone-number {
        color: var(--black)
    }

    .bubble-support-item {
        background: linear-gradient( 135deg, rgba(98, 95, 255, 0.493), rgba(95, 183, 255, 0.205) );
        border: 2px solid rgba(98, 95, 255, 0.473);
    }

.label {
    color: var(--fontBlack);
}

.bubble-social-item:hover,
.bubble-support-item:hover {
    text-decoration: none;
    border-color: #3249b3;
    transform: scale(1.03);
    box-shadow: 0 4px 12px var(--shadow-bg);
}

.bubble-social-item:hover {
    background: linear-gradient( 135deg, rgba(98, 95, 255, 0.582), rgba(95, 183, 255, 0.205) );
}

.bubble-social-icon {
    transition: all 0.3s cubic-bezier(0.4, 0, 0.2, 1);
    margin-left: 8px;
    color: var(--black);
}


.bubble-social-item:hover .bubble-social-icon {
    transform: scale(1.1) rotate(5deg);
/*    box-shadow: 0 6px 20px var(--shadow);*/
}

.bubble-support-item:hover .bubble-social-icon {
    transform: scale(1.1) rotate(5deg);
/*    box-shadow: 0 6px 20px var(--shadow);*/
}